Skip to content

DevicesController_register

PUT
/api/notifications/devices
curl --request PUT \
--url https://api.streams-ai.com/api/notifications/devices \
--header 'Content-Type: application/json' \
--data '{ "installationId": "example", "appId": "example", "platform": "ios", "token": "example", "environment": "sandbox", "appVersion": "example", "appBuild": "example", "osVersion": "example", "deviceModel": "example", "formFactor": "phone", "appVariant": "debug", "locale": "example", "timeZone": "example", "capabilities": [ "example" ], "systemAuthorization": "authorized", "notificationSettings": { "additionalProperty": "example" }, "backgroundRefreshStatus": "available", "pushEnabled": true, "transport": "fcm", "transportMetadata": {} }'
Media typeapplication/json
One of:
object
installationId
required
string
>= 1 characters <= 128 characters
appId
required
string
>= 1 characters <= 255 characters
platform
required
string
Allowed values: ios android macos windows web
token
required
string
>= 1 characters <= 4096 characters
environment
required
string
Allowed values: sandbox production
appVersion
string
>= 1 characters <= 64 characters
appBuild
string
>= 1 characters <= 64 characters
osVersion
string
>= 1 characters <= 64 characters
deviceModel
string
>= 1 characters <= 128 characters
formFactor
string
Allowed values: phone tablet desktop watch
appVariant
string
Allowed values: debug testflight appstore internal
locale
string
>= 1 characters <= 35 characters
timeZone
string
>= 1 characters <= 64 characters
capabilities
Array<string>
<= 100 items
systemAuthorization
string
Allowed values: authorized denied provisional ephemeral not_determined
notificationSettings
object
key
additional properties
Any of:
string
<= 64 characters
backgroundRefreshStatus
string
Allowed values: available denied restricted
pushEnabled
boolean
transport
required
string
Allowed values: fcm
transportMetadata
object